<script type="text/javascript">
	$(document).ready(function(){
	    $(".detalhes").colorbox({iframe:true, width:"50%", height:"58%"});
	});
</script>

<?php
	
	switch ($acao) {
		case 'ver':

			$value = "Cadastrar";
			$opcao = "inserir";

			switch ($subacao) {
				case "inserir":

					// Só será requerido se necessário
					if (!empty($_FILES['imagemCategoria']['size'])) {

						include_once("auxiliares/redimensionaImg.class.php");

						$redim = new Redimensiona();
					}

					// resolver fotos
					if (!empty($_FILES['imagemCategoria']['size'])) {

							$numero = rand(1,99999999);
							$nome = $numero.$_FILES['imagemCategoria']['name'];
							$nome = $redim->tratar_arquivo_upload($nome);
							
							$tipoImagem = $_FILES['imagemCategoria']['type'];

							// Thumbs
							$fotoThumbs = $_FILES['imagemCategoria']['tmp_name'];
							$filenameThumbs = $redim->Redimensionar($fotoThumbs, 150, 150, "imagens-site/links/thumbs", $tipoImagem, $nome);

							// Normal
							$foto = $_FILES['imagemCategoria']['tmp_name'];
							$filenameDestaque = $redim->Redimensionar($foto, 400, 400, "imagens-site/links", $tipoImagem, $nome);


							// $numero = rand(1,99999999);

							// $pasta = 'imagens-site/links/thumbs';
							// $file = $_FILES['imagemCategoria'];
							// $temp = $file['tmp_name'];
							// $filenameDestaque = tratar_arquivo_upload($numero.$file['name']);
							
							// $largura_max = 180;
							// $altura_max	= 200;

							// upload($temp, $filenameDestaque, $largura_max, $altura_max, $pasta);
					}

					$nomeCategoria = mysql_escape_string($_POST['nomeCategoria']);

					require 'auxiliares/funcao-slug.php';

					$caminhoAmigavel = slug($_POST['nomeCategoria']);

					$selectSlug = mysql_query("SELECT * FROM links_categorias WHERE slugCatlinks = '".mysql_escape_string($caminhoAmigavel)."'");

					if ($selectSlug) {
						$qtSlugs = mysql_num_rows($selectSlug);
					}

					if($qtSlugs > 0) $caminhoAmigavel .= "-".$qtSlugs;

					$descricaoCategoria = mysql_escape_string($_POST['descricaoCategoria']);

					$queryInsereCategoria = "INSERT INTO links_categorias (`titulo`, `descricaoCategoria`, `imagemCategoria`, `slugCatlinks`, `keywords`, `sessao`, `subtitulo`) VALUES ('".mysql_escape_string(utf8_decode($nomeCategoria))."', '".mysql_escape_string(utf8_decode($descricaoCategoria))."', '".mysql_escape_string($filenameDestaque)."', '".mysql_escape_string($caminhoAmigavel)."', '".mysql_escape_string(utf8_decode(implode(",", $_POST['keywords'])))."', '".mysql_escape_string($_POST['sessao'])."', '".mysql_escape_string(utf8_decode($_POST['subtitulo']))."')";
					$insertCategoria = mysql_query($queryInsereCategoria);

					break;

				case "atualizar":


					require 'auxiliares/funcao-slug.php';

					$caminhoAmigavel = slug($_POST['nomeCategoria']);

					$selectSlug = mysql_query("SELECT * FROM links_categorias WHERE slugCatlinks = '".mysql_escape_string($caminhoAmigavel)."' AND id <> '".mysql_escape_string($_POST['idCategoriaEdit'])."'");

					// -- echo "SELECT * FROM links_categorias WHERE slugCatlinks = '".$caminhoAmigavel."' AND id <> '".$_POST['idCategoriaEdit']."'";

					$qtSlugs = mysql_num_rows($selectSlug);

					if($qtSlugs > 0) $caminhoAmigavel .= "-".$qtSlugs;

					$nomeCategoria = utf8_decode($_POST['nomeCategoria']);
					$descricaoCategoria = utf8_decode($_POST['descricaoCategoria']);
					
					if($_POST['chkManterCapa'] != 1){

						$selectFotoAtual = mysql_query("SELECT imagemCategoria FROM links_categorias WHERE id= '".$_POST['idCategoriaEdit']."'");
						$fotoAtual = mysql_result($selectFotoAtual, 0, 0);

						if(!empty($fotoAtual)){
							unlink("imagens-site/links/thumbs/".$fotoAtual);
						}

						// Só será requerido se necessário
						if (!empty($_FILES['imagemCategoria']['size'])) {
							
							include_once("auxiliares/redimensionaImg.class.php");

							$redim = new Redimensiona();
						}

						// resolver fotos
						if (!empty($_FILES['imagemCategoria']['size'])) {

								$numero = rand(1,99999999);
								$nome = $numero.$_FILES['imagemCategoria']['name'];
								$nome = $redim->tratar_arquivo_upload($nome);

								$tipoImagem = $_FILES['imagemCategoria']['type'];

								// Thumbs
								$fotoThumbs = $_FILES['imagemCategoria']['tmp_name'];	
								$filenameThumbs = $redim->Redimensionar($fotoThumbs, 150, 150, "imagens-site/links/thumbs", $tipoImagem, $nome);

								// Normal
								$foto = $_FILES['imagemCategoria']['tmp_name'];	
								$filenameDestaque = $redim->Redimensionar($foto, 400, 400, "imagens-site/links", $tipoImagem, $nome);
						}

						$queryUpdate = "UPDATE links_categorias SET titulo = '".mysql_escape_string($nomeCategoria)."', descricaoCategoria = '".mysql_escape_string($descricaoCategoria)."', imagemCategoria = '".mysql_escape_string($filenameDestaque)."', slugCatlinks = '".mysql_escape_string($caminhoAmigavel)."', keywords = '".mysql_escape_string(utf8_decode(implode(",", $_POST['keywords'])))."', sessao = '".mysql_escape_string($_POST['sessao'])."', subtitulo = '".mysql_escape_string(utf8_decode($_POST['subtitulo']))."' WHERE id = '".mysql_escape_string($_POST['idCategoriaEdit'])."'";
					}

					if($_POST['chkManterCapa'] == 1){
						$queryUpdate = "UPDATE links_categorias SET titulo = '".mysql_escape_string($nomeCategoria)."', descricaoCategoria = '".mysql_escape_string(utf8_decode($descricaoCategoria))."', slugCatlinks = '".mysql_escape_string($caminhoAmigavel)."', keywords = '".mysql_escape_string(utf8_decode(implode(",", $_POST['keywords'])))."', sessao = '".mysql_escape_string($_POST['sessao'])."', subtitulo = '".mysql_escape_string(utf8_decode($_POST['subtitulo']))."' WHERE id = '".mysql_escape_string($_POST['idCategoriaEdit'])."'";
					}

					$insertCategoria = mysql_query($queryUpdate);

				break;

				case 'buscarEdit':
					$selectCategoriasEdit = mysql_query("SELECT * FROM links_categorias WHERE id = '".$id."'");
					while ($resultCategoriasEdit = mysql_fetch_array($selectCategoriasEdit)) {

						$idCategoriaEdit = utf8_encode($resultCategoriasEdit['id']);
						$nomeCategoriaEdit = utf8_encode($resultCategoriasEdit['titulo']);
						$imagemCategoria = utf8_encode($resultCategoriasEdit['imagemCategoria']);
						$descricaoCategoriaEdit = utf8_encode($resultCategoriasEdit['descricaoCategoria']);
						$sessaoCategoriaEdit = $resultCategoriasEdit['sessao'];
						$keywordsEdit = utf8_encode($resultCategoriasEdit['keywords']);
						$subtituloCategoriaEdit = utf8_encode($resultCategoriasEdit['subtitulo']);
					}

					$value = "Editar";
					$opcao = "atualizar";
					break;

				case 'buscarDelete':
					include 'paineis/links/exclui-categoria.php';
					break;
				}
			?>
			<form action="miolo.php?miolo=categoriasLinks&acao=ver&subacao=<? echo $opcao; ?>" enctype="multipart/form-data" method="post">
			<table border="0" class="tabela-conteudo" cellspacing="0">
				<tbody>
					<tr>
						<td colspan="2" class="titulos-internos">Cat&aacute;logo / Categorias</td>
					</tr>
					<tr><td colspan="2" >&nbsp;</td></tr>
					<input type="hidden" name="idCategoriaEdit" value="<?php echo($idCategoriaEdit); ?>">
						<tr>
							<td class="inputsCategorias">Nome da categoria</td>
							<td><input type="text" name="nomeCategoria" size="51" value="<?php echo($nomeCategoriaEdit); ?>"></td>
						</tr>

						<tr><td colspan="2" >&nbsp;</td></tr>
						<tr><td colspan="2" >&nbsp;</td></tr>
						<tr>
							<td class="inputsCategorias">Descri&ccedil;&atilde;o<br>(limite de <input readonly type="text" name="remLeng" size="3" maxlength="3" value="<?php echo (!empty($descricaoCategoriaEdit)) ? 400 - strlen(utf8_decode($descricaoCategoriaEdit)) : 400;?>"> caracteres)</td>
							<td><textarea name="descricaoCategoria" cols="53" rows="5" onKeyDown="javascript:textCounter(this.form.descricaoCategoria,this.form.remLeng,400);" onKeyUp="javascript:textCounter(this.form.descricaoCategoria,this.form.remLeng,400);"><?php echo($descricaoCategoriaEdit); ?></textarea></td>
						</tr>

						<?php if($value == 'Editar') { ?>

						<tr><td colspan="2" >&nbsp;</td></tr>
						<tr><td colspan="2" >&nbsp;</td></tr>
						<tr>
							<td class="inputsCategorias">Imagem de apresenta&ccedil;&atilde;o atual</td>
							<td><img src="imagens-site/links/thumbs/<?php echo $imagemCategoria; ?>" wid alt="Imagem da categoria <?php echo $nomeCategoriaEdit; ?>"></td>
						</tr>

						<?php } ?>

						<tr><td colspan="2" >&nbsp;</td></tr>
						<tr><td colspan="2" >&nbsp;</td></tr>
						<tr>
							<td class="inputsCategorias">Escolher imagem de apresenta&ccedil;&atilde;o</td>
							<td><input type="file" name="imagemCategoria" id="imagemCategoria" value="" accept="image/jpeg/gif/png"></td>
						</tr>

						<tr><td colspan="2">&nbsp;</td></tr>
						<tr><td colspan="2">&nbsp;</td></tr>
						<tr>
							<td class="inputsCategorias">Palavras Chave:</td>
							<td>
								<table>
									<?php 
										$arrKeywords = explode(",", $keywordsEdit);
										foreach ($arrKeywords as $keyword) {
									?>
									<tr class="linhaPalavraChave">
										<th class="inputsProdutos" align="left" colspan="2">Conte&uacute;do:<a name="keyword" id="keyword"></a>
											<input type="text" maxlenght="200" name="keywords[]" id="keywords" value="<?php echo $keyword; ?>">&nbsp;<a href="#keyword" class="removerPalavraChave"><img src="images/menos.png" width="18px" height="18px" alt="" border="0px"></a>
										</th>
									</tr>
									<?php 
									}
									?>
									<tr>
										<th class="inputPalavraChave" align="left">
											<a href="#keyword"  class="adicionarPalavraChave"><img src="images/mais.png" width="18px" height="18px" alt="" border="0px"></a>
										</th>
									</tr>
								</table>
							</td>
						</tr>
						<tr><td colspan="2" >&nbsp;</td></tr>
						<tr>
							<td class="inputsCategorias">&nbsp;</td>
							<td><input type="submit" name="cadastrar" value="<?php echo($value); ?>"></td>
						</tr>
				</tbody>
				<?php
					if($subacao == 'atualizar'){
						if($insertCategoria){
							?>
							<tr>
								<td>Categoria Atualizada com sucesso</td>
							</tr>
							<?
						}

						if(!$insertCategoria){
							?>
							<tr>
								<td> Erro ao atualizar categoriaA</td>
							</tr>
							<?
						}
					}
				?>
				
			</table>
				</form>
			
			<br>
			<table border="0" class="tabela-conteudo" cellspacing="1">
				<tbody>
					<tr class="linha-topo">
						<th>ID</th>
						<th>Nome</th>
						<th>Ver</th>
						<th>Editar</th>
						<th>Deletar</th>
					</tr>
					<?php
						$cont = 1;
						$queryListarCategorias = "SELECT 
																			  links_categorias.`id`,
																			  links_categorias.`titulo`
																			  FROM
																			  links_categorias 
																			 WHERE links_categorias.`statusCategoria` = '1' 
																			ORDER BY `titulo`";
						$selectCategorias = mysql_query($queryListarCategorias);
						while ($resultCategorias = mysql_fetch_array($selectCategorias)) {
					?>
							<tr <?php if($cont % 2 == 0){ echo"bgcolor='f2eaea'"; }else{ echo"bgcolor='edeaea'"; } ?>>
								<td class="idTabelaExibir">
									<?php echo($resultCategorias['id']); ?>
								</td>
								<td class="nomeTabelaExibir">
									<?php echo(utf8_encode($resultCategorias['titulo'])); ?>
								</td>
								<td class="icons-categorias">
									<a href="paineis/links/detalhes-categoria.php?id=<? echo $resultCategorias['id']; ?>" class="detalhes">
										<img src="images/lupa2.png" width="20px" height="20px" alt="" border="0px">
									</a>
								</td>
								<td class="icons-categorias">
									<a href="miolo.php?miolo=categoriasLinks&acao=ver&subacao=buscarEdit&id=<?php echo($resultCategorias['id']); ?>">
										<img src="images/editar.png" width="20px" height="20px" alt="" border="0px">
									</a>
								</td>
								<td class="icons-categorias">
									<a href="miolo.php?miolo=categoriasLinks&acao=ver&subacao=buscarDelete&id=<?php echo($resultCategorias['id']); ?>">
										<img src="images/lixo.png" width="20px" height="20px" alt="" border="0px">
									</a>
								</td>
							</tr>


					<?php
						$cont++;
						}
					?>
				</tbody>
			</table>
<?php
			break;
	}
?>